Package: org.codehaus.groovy.vmplugin.v7

## [Java] Class Selector

- org.codehaus.groovy.vmplugin.v7.Selector

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Object[]` | `args` |
    `boolean` | `cache` |
    `MutableCallSite` | `callSite` |
    `CALL_TYPES` | `callType` |
    `boolean` | `catchException` |
    `MethodType` | `currentType` |
    `MethodHandle` | `handle` |
    `boolean` | `isVargs` |
    `MetaMethod` | `method` |
    `String` | `name` |
    `Object[]` | `originalArguments` |
    `boolean` | `safeNavigation` |
    `boolean` | `safeNavigationOrig` |
    `Class` | `selectionBase` |
    `Class` | `sender` |
    `boolean` | `skipSpreadCollector` |
    `boolean` | `spread` |
    `MethodType` | `targetType` |
    `boolean` | `thisCall` |
    `boolean` | `useMetaClass` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getCorrectedReceiver()` Returns NullObject.getNullObject if the receiver (args[0]) is null.
    `` | `static Selector` | `getSelector(MutableCallSite callSite, Class sender, String methodName, int callID, boolean safeNavigation, boolean thisCall, boolean spreadCall, Object[] arguments)` Returns the Selector

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public Object[] args

    - #### public boolean cache

    - #### public MutableCallSite callSite

    - #### public CALL_TYPES callType

    - #### public boolean catchException

    - #### public MethodType currentType

    - #### public MethodHandle handle

    - #### public boolean isVargs

    - #### public MetaMethod method

    - #### public String name

    - #### public Object[] originalArguments

    - #### public boolean safeNavigation

    - #### public boolean safeNavigationOrig

    - #### public Class selectionBase

    - #### public Class sender

    - #### public boolean skipSpreadCollector

    - #### public boolean spread

    - #### public MethodType targetType

    - #### public boolean thisCall

    - #### public boolean useMetaClass

  - ### Method Detail

    - #### public Object getCorrectedReceiver()

      Returns NullObject.getNullObject if the receiver (args[0]) is null. If it is not null, the recevier itself is returned.

    - #### public static Selector getSelector(MutableCallSite callSite, Class sender, String methodName, int callID, boolean safeNavigation, boolean thisCall, boolean spreadCall, Object[] arguments)

      Returns the Selector